QXmppRosterIq Class Reference
Stanzas

The QXmppRosterIq class represents a roster IQ. More...

`#include <QXmppRosterIq.h>`

Inheritance diagram for QXmppRosterIq:
[legend]
Collaboration diagram for QXmppRosterIq:
[legend]

## Classes

class | Item
| The QXmppRosterIq::Item class represents a roster entry. More...

## Public Member Functions

void | addItem (const Item &)
QList< Item > | items () const
| Returns the roster IQ's items.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRosterIq class represents a roster IQ.

## Member Function Documentation

## addItem()

void QXmppRosterIq::addItem | ( | const Item & | item | ) |

Adds an item to the roster IQ.

Parameters

  item |

The documentation for this class was generated from the following files:

- QXmppRosterIq.h
- QXmppRosterIq.cpp